Debian Bug report logs - #642128
gnat-4.6: fails to build spark on kfreebsd

version graph

Package: gnat-4.6; Maintainer for gnat-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gnat-4.6 is src:gnat-4.6.

Reported by: Євгеній Мещеряков <eugen@debian.org>

Date: Mon, 19 Sep 2011 17:24:02 UTC

Severity: important

Tags: sid

Found in version gnat-4.6/4.6.1-5

Fixed in versions gnat-4.6/4.6.1-6, gcc-4.6/4.6.1-16

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Mon, 19 Sep 2011 17:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 19 Sep 2011 17:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnat-4.6: fails to build spark on kfreebsd
Date: Mon, 19 Sep 2011 19:21:44 +0200
Package: gnat-4.6
Version: 4.6.1-5
Severity: important

Building of spark (2011.0.deb-3) fails on both kfreebsd-i386 and -amd64 with gnat-4.6.

The build fails with the following error:

  gnatlink examiner.ali -g -O2 -fdata-sections -ffunction-sections -o spark -Wl,--gc-sections
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `clock_gettime'
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `pthread_mutexattr_setprotocol'
  /usr/lib/gcc/x86_64-kfreebsd-gnu/4.6.1/../../../x86_64-kfreebsd-gnu/libgnarl-4.6.so: undefined reference to `pthread_mutexattr_setprioceiling'

The full logs are available here:

https://buildd.debian.org/status/fetch.php?pkg=spark&arch=kfreebsd-amd64&ver=2011.0.deb-3&stamp=1316449085
https://buildd.debian.org/status/fetch.php?pkg=spark&arch=kfreebsd-i386&ver=2011.0.deb-3&stamp=1316449365

I added linker garbage collection flags in spark 2011.0.deb-3, but I do
not think that this is the reason for failing builds, because it works
everywhere else. But spark was never compiled using gnat-4.6 on
kfreebsd before, so I have no idea if it builds without those flags.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=uk_UA.UTF-8, LC_CTYPE=uk_UA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnat-4.6 depends on:
ii  gcc-4.6            4.6.1-11        
ii  gnat-4.6-base      4.6.1-5         
ii  libc6              2.13-21         
ii  libc6-dev          2.13-21         
ii  libgcc1            1:4.6.1-11      
ii  libgmp10           2:5.0.2+dfsg-1  
ii  libgnat-4.6        4.6.1-5         
ii  libgnatprj4.6      4.6.1-5         
ii  libgnatvsn4.6      4.6.1-5         
ii  libmpc2            0.9-3           
ii  libmpfr4           3.0.1-6         
ii  multiarch-support  2.13-21         
ii  zlib1g             1:1.2.3.4.dfsg-3

gnat-4.6 recommends no packages.

Versions of packages gnat-4.6 suggests:
pn  ada-reference-manual  <none>
pn  gnat-4.6-doc          <none>
pn  gnat-4.6-sjlj         <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Mon, 19 Sep 2011 18:07:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 19 Sep 2011 18:07:30 GMT) Full text and rfc822 format available.

Message #10 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 642128@bugs.debian.org
Subject: Re: Bug#642128: Acknowledgement (gnat-4.6: fails to build spark on kfreebsd)
Date: Mon, 19 Sep 2011 20:01:53 +0200
[Message part 1 (text/plain, inline)]
I found symbol 'clock_gettime' in librt.so (not in NEEDED of libgnarl).
I cannot find two other symbols anywhere.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Sun, 25 Sep 2011 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sun, 25 Sep 2011 08:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 642128@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>
Cc: 642128@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: pthread_mutexattr_setprioceiling, pthread_mutexattr_setprotocol missing in GNU/kFreeBSD?
Date: Sun, 25 Sep 2011 10:08:35 +0200 (CEST)
Hi.

> suggesting that the functions I'm looking for are missing entirely.
> Is that so?

Yes.
They are optional part, see

http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_mutexattr_setprioceiling.html
http://pubs.opengroup.org/onlinepubs/9699919799/functions/pthread_mutexattr_setprotocol.html

We do not (yet) support
Thread Priority Protection or Thread Priority Inheritance options.
We advertise this in our <bits/posix_opt.h> by

/* No support for priority inheritance or protection.  */
#define _POSIX_THREAD_PRIO_INHERIT      -1
#define _POSIX_THREAD_PRIO_PROTECT      -1

Petr





Added tag(s) sid and pending. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 09:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Mon, 26 Sep 2011 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 26 Sep 2011 09:39:06 GMT) Full text and rfc822 format available.

Message #22 received at 642128@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: <642128@bugs.debian.org>, <eugen@debian.org>
Cc: <control@bugs.debian.org>
Subject: gnat-4.6: fails to build spark on kfreebsd
Date: Mon, 26 Sep 2011 10:21:44 +0100
tags 642128 sid pending
thanks

I think I have a solution for this problem. As it turns out, 
GNU/kFreeBSD does not support these optional parts of POSIX threads 
whereas FreeBSD does.  I'll upload within 48 hours.

-- 
Ludovic Brenta.





Reply sent to Ludovic Brenta <lbrenta@debian.org>:
You have taken responsibility. (Wed, 28 Sep 2011 18:24:03 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Wed, 28 Sep 2011 18:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 642128-close@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <lbrenta@debian.org>
To: 642128-close@bugs.debian.org
Subject: Bug#642128: fixed in gnat-4.6 4.6.1-6
Date: Wed, 28 Sep 2011 18:20:19 +0000
Source: gnat-4.6
Source-Version: 4.6.1-6

We believe that the bug you reported is fixed in the latest version of
gnat-4.6, which is due to be installed in the Debian FTP archive:

gnat-4.6-base_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/gnat-4.6-base_4.6.1-6_amd64.deb
gnat-4.6-sjlj_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/gnat-4.6-sjlj_4.6.1-6_amd64.deb
gnat-4.6_4.6.1-6.dsc
  to main/g/gnat-4.6/gnat-4.6_4.6.1-6.dsc
gnat-4.6_4.6.1-6.tar.gz
  to main/g/gnat-4.6/gnat-4.6_4.6.1-6.tar.gz
gnat-4.6_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/gnat-4.6_4.6.1-6_amd64.deb
libgnat-4.6-dbg_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnat-4.6-dbg_4.6.1-6_amd64.deb
libgnat-4.6_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnat-4.6_4.6.1-6_amd64.deb
libgnatprj4.6-dbg_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6-dbg_4.6.1-6_amd64.deb
libgnatprj4.6-dev_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6-dev_4.6.1-6_amd64.deb
libgnatprj4.6_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatprj4.6_4.6.1-6_amd64.deb
libgnatvsn4.6-dbg_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6-dbg_4.6.1-6_amd64.deb
libgnatvsn4.6-dev_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6-dev_4.6.1-6_amd64.deb
libgnatvsn4.6_4.6.1-6_amd64.deb
  to main/g/gnat-4.6/libgnatvsn4.6_4.6.1-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ludovic Brenta <lbrenta@debian.org> (supplier of updated gnat-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Sep 2011 22:38:08 +0200
Source: gnat-4.6
Binary: gnat-4.6-base gnat-4.6 gnat-4.6-sjlj libgnat-4.6 libgnat-4.6-dbg libgnatvsn4.6-dev libgnatvsn4.6 libgnatvsn4.6-dbg libgnatprj4.6-dev libgnatprj4.6 libgnatprj4.6-dbg
Architecture: source amd64
Version: 4.6.1-6
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Ludovic Brenta <lbrenta@debian.org>
Description: 
 gnat-4.6   - GNU Ada compiler
 gnat-4.6-base - GNU Ada compiler (common files)
 gnat-4.6-sjlj - GNU Ada compiler (setjump/longjump runtime library)
 libgnat-4.6 - runtime for applications compiled with GNAT (shared library)
 libgnat-4.6-dbg - runtime for applications compiled with GNAT (debugging symbols)
 libgnatprj4.6 - GNU Ada compiler Project Manager (shared library)
 libgnatprj4.6-dbg - GNU Ada compiler Project Manager (debugging symbols)
 libgnatprj4.6-dev - GNU Ada compiler Project Manager (development files)
 libgnatvsn4.6 - GNU Ada compiler selected components (shared library)
 libgnatvsn4.6-dbg - GNU Ada compiler selected components (debugging symbols)
 libgnatvsn4.6-dev - GNU Ada compiler selected components (development files)
Closes: 642128
Changes: 
 gnat-4.6 (4.6.1-6) unstable; urgency=low
 .
   [Xavier Grave]
   * debian/patches/address-clauses-timed-entry-calls.diff: new; backport
     bug fix about address clauses and timed entry calls.
 .
   [Ludovic Brenta]
   * debian/patches/ada-kfreebsd-gnu.diff: new; provide dummy
     implementations of some optional POSIX Threads functions missing in
     GNU/kFreeBSD. Closes: #642128.
 .
   Merge from gcc-4.6 (4.6.1-13) unstable; urgency=low
 .
   * Update to SVN 20110926 (r179207) from the gcc-4_6-branch.
     - Fix PR tree-optimization/50472, PR tree-optimization/50413,
       PR tree-optimization/50412, PR c++/20039, PR c++/42844,
       PR libstdc++/50510, PR libstdc++/50509.
   * Revert the fix for PR tree-optimization/49911, bootstrap error on ia64.
   * libffi: Define FFI_MMAP_EXEC_WRIT on kfreebsd-* (Petr Salinger).
 .
   Merge from gcc-4.6 (4.6.1-12) unstable; urgency=low
 .
   * Update to SVN 20110924 (r179140) from the gcc-4_6-branch.
     - Fix PR target/50464, PR target/50341, PR middle-end/49886,
       PR target/50091, PR c++/50491, PR c++/50442 (Fixes: #642176).
 .
   Merge from gcc-4.6 (4.6.1-11) unstable; urgency=low
 .
   * Update to SVN 20110917 (r178926) from the gcc-4_6-branch.
     - Fix PR c++/50424, PR c++/48320, PR fortran/49479.
 .
   [ Matthias Klose ]
   * Update the Linaro support to the 4.6-2011.09-1 release.
 .
   [ Aurelien Jarno ]
   * gcc.c (for_each_path): Allocate memory for multiarch suffix.
 .
   Merge from gcc-4.6 (4.6.1-10) unstable; urgency=medium
 .
   * Update to SVN 20110910 (r178746) from the gcc-4_6-branch.
     - Fix PR middle-end/50266, PR tree-optimization/49911,
       PR tree-optimization/49518, PR tree-optimization/49628,
       PR tree-optimization/49628, PR target/50310, PR target/50289,
       PR c++/50255, PR c++/50309, PR c++/49267, PR libffi/49594.
     - Revert fix for PR middle-end/49886, causing PR middle-end/50295.
 .
   Merge from gcc-4.6 (4.6.1-9) unstable; urgency=low
 .
   * Update to SVN 20110903 (r178501) from the gcc-4_6-branch.
     - Fix PR target/50090, PR middle-end/50116, PR target/50202, PR c/50179,
       PR c++/50157, PR fortran/50163, PR libfortran/50192,
       PR middle-end/49886, PR tree-optimization/50178, PR c++/50207,
       PR c++/50089, PR c++/50220, PR c++/50234, PR c++/50224,
       PR libstdc++/50268.
 .
   [ Matthias Klose ]
   * Fix gcc --print-multilib-osdir for non-biarch architectures.
   * Fix multiarch for non-biarch builds. Fixes: #635860.
   * Move the lto plugin to the cpp packge. Fixes: #639531.
 .
   [ Thorsten Glaser ]
   * [m68k] Disable multilib. Fixes: #639303.
Checksums-Sha1: 
 1db5ec9bae7fe9662127903ab079f72d0ae0eaf2 2920 gnat-4.6_4.6.1-6.dsc
 7edffdf5a0dd28fe3ccfc8f88b0fe94557896ed6 6799533 gnat-4.6_4.6.1-6.tar.gz
 156716f6839a6e01a87ef69a0db4d8137a46abcf 146134 gnat-4.6-base_4.6.1-6_amd64.deb
 4d7fecb86c3daeff7b8324a30d2054e23b184962 1189168 libgnat-4.6_4.6.1-6_amd64.deb
 c16e04a81853b337016de5f50b0eebbebbb96e6f 2057602 libgnat-4.6-dbg_4.6.1-6_amd64.deb
 6ae1c0c180e83e5224f2f8e8eacce28a04a63c56 1808240 libgnatvsn4.6-dev_4.6.1-6_amd64.deb
 492b846bdf5dcbab598e2b39abf20574a54a63f5 350734 libgnatvsn4.6_4.6.1-6_amd64.deb
 097794e328eb6e1281c5cf38b02ce3251257e8eb 476848 libgnatvsn4.6-dbg_4.6.1-6_amd64.deb
 98608d503aaab690270bb04f6aea2b7726119dda 3055270 libgnatprj4.6-dev_4.6.1-6_amd64.deb
 9b53caa4461ce9ee115e1a9fd0cbba8e0e04391b 608292 libgnatprj4.6_4.6.1-6_amd64.deb
 0beb9bd4bfd7ba867f205a8a0bad5330d5469cc4 1035990 libgnatprj4.6-dbg_4.6.1-6_amd64.deb
 654595e8772d4de2930a132a498f491ed9360ea2 11732678 gnat-4.6_4.6.1-6_amd64.deb
 970485344f2e3d1198f91b8c75b69ca0f52580ee 4608752 gnat-4.6-sjlj_4.6.1-6_amd64.deb
Checksums-Sha256: 
 0fa6e123f37865fcce11ff3c68e6dc44eaac3faaed950afe765f369d9bfe30ef 2920 gnat-4.6_4.6.1-6.dsc
 cd95f0139306aa50183dce5746fc5d193fa9c59cf9a01bd0b7b6cd589a99bcdc 6799533 gnat-4.6_4.6.1-6.tar.gz
 c5e038523e9aef8ca2dd095a24d4a3231c98df0a9264bc6ba660e40f7626eae4 146134 gnat-4.6-base_4.6.1-6_amd64.deb
 6c8608df6b681f0c1b6500838ed3635ba77ede2ecc693a451b814e354fbbd862 1189168 libgnat-4.6_4.6.1-6_amd64.deb
 56489ec40910529010384a77363e3db9283a5be17263934f849d54256db03cde 2057602 libgnat-4.6-dbg_4.6.1-6_amd64.deb
 bd3bf7169869c36cee085ee3464237665ada2bd2f6067a2e914785c2911feaa5 1808240 libgnatvsn4.6-dev_4.6.1-6_amd64.deb
 40748781e82a33947e0064d8ec400a3c55208478adcd7300ace6c62c23da9d27 350734 libgnatvsn4.6_4.6.1-6_amd64.deb
 c0a70f501b34122308ab5b058992b49fd225a51a717a858bb92d6aab26f7a5b0 476848 libgnatvsn4.6-dbg_4.6.1-6_amd64.deb
 6599b45c0a0810ca2c68741a6366763303449d7c72102af1720c941430b018ec 3055270 libgnatprj4.6-dev_4.6.1-6_amd64.deb
 46a1a45f6ead82d1d11f2295289fc4153ff8ca587ee0f49da0f2d24db07dbac4 608292 libgnatprj4.6_4.6.1-6_amd64.deb
 8f98031e645e4556d3ddb2a9e1c3ef99375f210861eb41dc91c700e22ff29f8a 1035990 libgnatprj4.6-dbg_4.6.1-6_amd64.deb
 3f6dac2b9153380ad0a22e32cb63208f0eb4de5e878383aa9a54c923bc0a3286 11732678 gnat-4.6_4.6.1-6_amd64.deb
 71a17845bdc5c81d49bfb024ad8c117039db04c46a7c62820522826930a7ec15 4608752 gnat-4.6-sjlj_4.6.1-6_amd64.deb
Files: 
 da7f4aed3bb535e58d805dd7f7b0733c 2920 devel optional gnat-4.6_4.6.1-6.dsc
 3467b78eeb208054dd68edfd6c7d54e1 6799533 devel optional gnat-4.6_4.6.1-6.tar.gz
 f686098edd2a977d38d99e34944a7c0c 146134 libs optional gnat-4.6-base_4.6.1-6_amd64.deb
 1a65fa521062dafc09c2b68416b607b8 1189168 libs optional libgnat-4.6_4.6.1-6_amd64.deb
 311caa17dcac46e694c33225c446a4bd 2057602 debug extra libgnat-4.6-dbg_4.6.1-6_amd64.deb
 66803f742359c2e6de989d92ff2aa553 1808240 libdevel optional libgnatvsn4.6-dev_4.6.1-6_amd64.deb
 48cf269aab09d7cffb4dbb85fa36be2f 350734 libs optional libgnatvsn4.6_4.6.1-6_amd64.deb
 539b6b092382f859b0a4ef1457ec96e5 476848 debug extra libgnatvsn4.6-dbg_4.6.1-6_amd64.deb
 22f99b415ecdfc38645c8cba07177c72 3055270 libdevel optional libgnatprj4.6-dev_4.6.1-6_amd64.deb
 dd92b8c29ff58dc9366951ecac8143e2 608292 libs optional libgnatprj4.6_4.6.1-6_amd64.deb
 f718d4871e7e4c176fb96af74079e7f7 1035990 debug extra libgnatprj4.6-dbg_4.6.1-6_amd64.deb
 855f52980ebd4159b47d5b5b9d02c09e 11732678 devel optional gnat-4.6_4.6.1-6_amd64.deb
 6e803e5a2480551948334cc553f85ead 4608752 devel extra gnat-4.6-sjlj_4.6.1-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOg150x9kwJZ3/qtQRAvlpAJ9e1/9/bymFg7RiRz9foUj+VGqhcACbBwrD
rbpxQC3KgYM6lTYKsFO++V0=
=sQdV
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 18:00:03 GMT) Full text and rfc822 format available.

Message #32 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 642128@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 19:56:57 +0200
[Message part 1 (text/plain, inline)]
reopen 642128
found 642128 4.6.1-6
thanks

The newest version of gnat-4.6 still cannot build spark. Build now fails
with the following message:

   gnatlink examiner.ali -g -O2 -fdata-sections -ffunction-sections -o spark -Wl,--gc-sections
   /usr/bin/ld: spark: local symbol `pthread_mutexattr_destroy@@GLIBC_2.3' in /lib/x86_64-kfreebsd-gnu/libpthread.so.0 is referenced by DSO
   /usr/bin/ld: final link failed: Bad value
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions gnat-4.6/4.6.1-6 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Sep 2011 18:00:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 4.6.1-6. Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Thu, 29 Sep 2011 18:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 18:18:03 GMT) Full text and rfc822 format available.

Message #41 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 642128@bugs.debian.org
Subject: Re: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 20:15:47 +0200
[Message part 1 (text/plain, inline)]
Hmm, that symbol looks global to me:

$ nm -D /lib/x86_64-kfreebsd-gnu/libpthread.so.0  | grep pthread_mutexattr_destroy
0000000000007b70 T __pthread_mutexattr_destroy
0000000000007b70 T pthread_mutexattr_destroy
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 18:21:03 GMT) Full text and rfc822 format available.

Message #46 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 642128@bugs.debian.org
Subject: Re: Bug#642128: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 20:20:09 +0200
[Message part 1 (text/plain, inline)]
29 вересня 2011 о 20:15 +0200 Євгеній Мещеряков написав(-ла):
> Hmm, that symbol looks global to me:
> 
> $ nm -D /lib/x86_64-kfreebsd-gnu/libpthread.so.0  | grep pthread_mutexattr_destroy
> 0000000000007b70 T __pthread_mutexattr_destroy
> 0000000000007b70 T pthread_mutexattr_destroy

I can also build a C program:

(sid)eugen@asdfasdf:~$ cat test.c 
extern void pthread_mutexattr_destroy(void);

int main() {
        pthread_mutexattr_destroy();
}
(sid)eugen@asdfasdf:~$ gcc -pthread test.c
(sid)eugen@asdfasdf:~$
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 19:33:03 GMT) Full text and rfc822 format available.

Message #51 received at 642128@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: Євгеній Мещеряков <eugen@debian.org>
Cc: 642128@bugs.debian.org
Subject: Re: Bug#642128: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 21:22:32 +0200
Євгеній Мещеряков <eugen@debian.org> writes:
> 29 вересня 2011 о 20:15 +0200 Євгеній Мещеряков написав(-ла):
>> Hmm, that symbol looks global to me:
>> 
>> $ nm -D /lib/x86_64-kfreebsd-gnu/libpthread.so.0  | grep pthread_mutexattr_destroy
>> 0000000000007b70 T __pthread_mutexattr_destroy
>> 0000000000007b70 T pthread_mutexattr_destroy
>
> I can also build a C program:
[...]

Try removing the --gc-sections linker options, per [1].  It looks like
it is this option that triggers a bug in ld.  If this works, please
close the gnat-4.6 bug and check whether a corresponding bug is already
open against ld.

[1] https://lists.gnu.org/archive/html/bug-binutils/2011-09/msg00128.html

-- 
Ludovic Brenta.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 20:39:05 GMT) Full text and rfc822 format available.

Message #56 received at 642128@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Ludovic Brenta <ludovic@ludovic-brenta.org>, 642128@bugs.debian.org
Cc: Євгеній Мещеряков <eugen@debian.org>
Subject: Re: Bug#642128: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 22:35:51 +0200
On 09/29/2011 09:22 PM, Ludovic Brenta wrote:
> Євгеній Мещеряков <eugen@debian.org> writes:
>> 29 вересня 2011 о 20:15 +0200 Євгеній Мещеряков написав(-ла):
>>> Hmm, that symbol looks global to me:
>>>
>>> $ nm -D /lib/x86_64-kfreebsd-gnu/libpthread.so.0  | grep pthread_mutexattr_destroy
>>> 0000000000007b70 T __pthread_mutexattr_destroy
>>> 0000000000007b70 T pthread_mutexattr_destroy
>>
>> I can also build a C program:
> [...]
> 
> Try removing the --gc-sections linker options, per [1].  It looks like
> it is this option that triggers a bug in ld.  If this works, please
> close the gnat-4.6 bug and check whether a corresponding bug is already
> open against ld.
> 
> [1] https://lists.gnu.org/archive/html/bug-binutils/2011-09/msg00128.html

please check with a build from trunk first, two fixes were just submitted,
ld/13233 and ld/13195.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Thu, 29 Sep 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #61 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: 642128@bugs.debian.org
Subject: Re: Bug#642128: gnat-4.6: fails to build spark on kfreebsd
Date: Thu, 29 Sep 2011 23:41:41 +0200
[Message part 1 (text/plain, inline)]
29 вересня 2011 о 21:22 +0200 Ludovic Brenta написав(-ла):
> Try removing the --gc-sections linker options, per [1].  It looks like
> it is this option that triggers a bug in ld.  If this works, please
> close the gnat-4.6 bug and check whether a corresponding bug is already
> open against ld.
> 
> [1] https://lists.gnu.org/archive/html/bug-binutils/2011-09/msg00128.html

You are right, build now fails even on amd64. I uploaded package without
--gc-sections. Let's see if it builds.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#642128; Package gnat-4.6. (Fri, 30 Sep 2011 13:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Євгеній Мещеряков <eugen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 30 Sep 2011 13:45:09 GMT) Full text and rfc822 format available.

Message #66 received at 642128@bugs.debian.org (full text, mbox):

From: Євгеній Мещеряков <eugen@debian.org>
To: controle@bugs.debian.org, Matthias Klose <doko@debian.org>
Cc: Ludovic Brenta <ludovic@ludovic-brenta.org>, 642128@bugs.debian.org
Subject: Re: Bug#642128: gnat-4.6: fails to build spark on kfreebsd
Date: Fri, 30 Sep 2011 15:40:30 +0200
[Message part 1 (text/plain, inline)]
notfound 642128 4.6.1-6
thanks

spark build without --gc-sections was successfull, so I'm closing this
bug. I filed bug #643858 in binutils. I'll try building with CVS
snapshot of binutils ASAP.

29 вересня 2011 о 22:35 +0200 Matthias Klose написав(-ла):
> On 09/29/2011 09:22 PM, Ludovic Brenta wrote:
> > Євгеній Мещеряков <eugen@debian.org> writes:
> >> 29 вересня 2011 о 20:15 +0200 Євгеній Мещеряков написав(-ла):
> >>> Hmm, that symbol looks global to me:
> >>>
> >>> $ nm -D /lib/x86_64-kfreebsd-gnu/libpthread.so.0  | grep pthread_mutexattr_destroy
> >>> 0000000000007b70 T __pthread_mutexattr_destroy
> >>> 0000000000007b70 T pthread_mutexattr_destroy
> >>
> >> I can also build a C program:
> > [...]
> > 
> > Try removing the --gc-sections linker options, per [1].  It looks like
> > it is this option that triggers a bug in ld.  If this works, please
> > close the gnat-4.6 bug and check whether a corresponding bug is already
> > open against ld.
> > 
> > [1] https://lists.gnu.org/archive/html/bug-binutils/2011-09/msg00128.html
> 
> please check with a build from trunk first, two fixes were just submitted,
> ld/13233 and ld/13195.
> 
> 
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions 4.6.1-6. Request was from Євгеній Мещеряков <eugen@debian.org> to control@bugs.debian.org. (Fri, 30 Sep 2011 13:51:03 GMT) Full text and rfc822 format available.

Reply sent to Eugeniy Meshcheryakov <eugen@debian.org>:
You have taken responsibility. (Fri, 30 Sep 2011 14:09:04 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 14:09:04 GMT) Full text and rfc822 format available.

Message #73 received at 642128-done@bugs.debian.org (full text, mbox):

From: Eugeniy Meshcheryakov <eugen@debian.org>
To: 642128-done@bugs.debian.org
Subject: done
Date: Fri, 30 Sep 2011 16:05:27 +0200
Source: gnat-4.6
Source-Version: 4.6.1-6




Reply sent to Petr Salinger <Petr.Salinger@seznam.cz>:
You have taken responsibility. (Fri, 30 Sep 2011 14:09:06 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 14:09:06 GMT) Full text and rfc822 format available.

Message #78 received at 642128-close@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 642128-close@bugs.debian.org
Subject: Bug#642128: have been really fixed in gnat-4.6 4.6.1-6
Date: Fri, 30 Sep 2011 16:18:18 +0200 (CEST)
Source: gnat-4.6
Source-Version: 4.6.1-6
Version: 4.6.1-6




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Thu, 20 Oct 2011 08:51:25 GMT) Full text and rfc822 format available.

Notification sent to Євгеній Мещеряков <eugen@debian.org>:
Bug acknowledged by developer. (Thu, 20 Oct 2011 08:51:26 GMT) Full text and rfc822 format available.

Message #83 received at 642128-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 642128-close@bugs.debian.org
Subject: Bug#642128: fixed in gcc-4.6 4.6.1-16
Date: Thu, 20 Oct 2011 08:49:25 +0000
Source: gcc-4.6
Source-Version: 4.6.1-16

We believe that the bug you reported is fixed in the latest version of
gcc-4.6, which is due to be installed in the Debian FTP archive:

cpp-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/cpp-4.6_4.6.1-16_i386.deb
fixincludes_4.6.1-16_i386.deb
  to main/g/gcc-4.6/fixincludes_4.6.1-16_i386.deb
g++-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/g++-4.6-multilib_4.6.1-16_i386.deb
g++-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/g++-4.6_4.6.1-16_i386.deb
gcc-4.6-base_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gcc-4.6-base_4.6.1-16_i386.deb
gcc-4.6-locales_4.6.1-16_all.deb
  to main/g/gcc-4.6/gcc-4.6-locales_4.6.1-16_all.deb
gcc-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gcc-4.6-multilib_4.6.1-16_i386.deb
gcc-4.6-plugin-dev_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gcc-4.6-plugin-dev_4.6.1-16_i386.deb
gcc-4.6-source_4.6.1-16_all.deb
  to main/g/gcc-4.6/gcc-4.6-source_4.6.1-16_all.deb
gcc-4.6_4.6.1-16.diff.gz
  to main/g/gcc-4.6/gcc-4.6_4.6.1-16.diff.gz
gcc-4.6_4.6.1-16.dsc
  to main/g/gcc-4.6/gcc-4.6_4.6.1-16.dsc
gcc-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gcc-4.6_4.6.1-16_i386.deb
gccgo-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gccgo-4.6-multilib_4.6.1-16_i386.deb
gccgo-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gccgo-4.6_4.6.1-16_i386.deb
gfortran-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gfortran-4.6-multilib_4.6.1-16_i386.deb
gfortran-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gfortran-4.6_4.6.1-16_i386.deb
gobjc++-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gobjc++-4.6-multilib_4.6.1-16_i386.deb
gobjc++-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gobjc++-4.6_4.6.1-16_i386.deb
gobjc-4.6-multilib_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gobjc-4.6-multilib_4.6.1-16_i386.deb
gobjc-4.6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/gobjc-4.6_4.6.1-16_i386.deb
lib64gcc1-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gcc1-dbg_4.6.1-16_i386.deb
lib64gcc1_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gcc1_4.6.1-16_i386.deb
lib64gfortran3-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gfortran3-dbg_4.6.1-16_i386.deb
lib64gfortran3_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gfortran3_4.6.1-16_i386.deb
lib64go0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64go0-dbg_4.6.1-16_i386.deb
lib64go0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64go0_4.6.1-16_i386.deb
lib64gomp1-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gomp1-dbg_4.6.1-16_i386.deb
lib64gomp1_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64gomp1_4.6.1-16_i386.deb
lib64mudflap0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64mudflap0-dbg_4.6.1-16_i386.deb
lib64mudflap0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64mudflap0_4.6.1-16_i386.deb
lib64objc3-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64objc3-dbg_4.6.1-16_i386.deb
lib64objc3_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64objc3_4.6.1-16_i386.deb
lib64quadmath0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64quadmath0-dbg_4.6.1-16_i386.deb
lib64quadmath0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64quadmath0_4.6.1-16_i386.deb
lib64stdc++6-4.6-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64stdc++6-4.6-dbg_4.6.1-16_i386.deb
lib64stdc++6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/lib64stdc++6_4.6.1-16_i386.deb
libgcc1-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgcc1-dbg_4.6.1-16_i386.deb
libgcc1_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgcc1_4.6.1-16_i386.deb
libgfortran3-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgfortran3-dbg_4.6.1-16_i386.deb
libgfortran3_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgfortran3_4.6.1-16_i386.deb
libgo0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgo0-dbg_4.6.1-16_i386.deb
libgo0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgo0_4.6.1-16_i386.deb
libgomp1-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgomp1-dbg_4.6.1-16_i386.deb
libgomp1_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libgomp1_4.6.1-16_i386.deb
libmudflap0-4.6-dev_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libmudflap0-4.6-dev_4.6.1-16_i386.deb
libmudflap0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libmudflap0-dbg_4.6.1-16_i386.deb
libmudflap0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libmudflap0_4.6.1-16_i386.deb
libobjc3-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libobjc3-dbg_4.6.1-16_i386.deb
libobjc3_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libobjc3_4.6.1-16_i386.deb
libquadmath0-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libquadmath0-dbg_4.6.1-16_i386.deb
libquadmath0_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libquadmath0_4.6.1-16_i386.deb
libstdc++6-4.6-dbg_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dbg_4.6.1-16_i386.deb
libstdc++6-4.6-dev_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dev_4.6.1-16_i386.deb
libstdc++6-4.6-doc_4.6.1-16_all.deb
  to main/g/gcc-4.6/libstdc++6-4.6-doc_4.6.1-16_all.deb
libstdc++6-4.6-pic_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libstdc++6-4.6-pic_4.6.1-16_i386.deb
libstdc++6_4.6.1-16_i386.deb
  to main/g/gcc-4.6/libstdc++6_4.6.1-16_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642128@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 20 Oct 2011 00:24:13 +0200
Source: gcc-4.6
Binary: gcc-4.6-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.6 gcc-4.6-multilib gcc-4.6-plugin-dev gcc-4.6-hppa64 gcc-4.6-spu g++-4.6-spu gfortran-4.6-spu cpp-4.6 gcc-4.6-locales g++-4.6 g++-4.6-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.6-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg libquadmath0 libquadmath0-dbg lib32quadmath0 lib32quadmath0-dbg lib64quadmath0 lib64quadmath0-dbg libn32quadmath0 libn32quadmath0-dbg gobjc++-4.6 gobjc++-4.6-multilib gobjc-4.6 gobjc-4.6-multilib libobjc3 libobjc3-dbg lib64objc3 lib64objc3-dbg lib32objc3 lib32objc3-dbg libn32objc3 libn32objc3-dbg gfortran-4.6 gfortran-4.6-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg
 libn32gfortran3 libn32gfortran3-dbg gccgo-4.6 gccgo-4.6-multilib libgo0 libgo0-dbg lib64go0 lib64go0-dbg lib32go0 lib32go0-dbg libn32go0 libn32go0-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.6-dev libstdc++6-4.6-pic libstdc++6-4.6-dbg lib32stdc++6-4.6-dbg lib64stdc++6-4.6-dbg libn32stdc++6-4.6-dbg libstdc++6-4.6-doc gcc-4.6-soft-float fixincludes
 gcc-4.6-source
Architecture: source all i386
Version: 4.6.1-16
Distribution: unstable
Urgency: medium
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.6    - GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.6    - GNU C++ compiler
 g++-4.6-multilib - GNU C++ compiler (multilib files)
 g++-4.6-spu - SPU cross-compiler (C++ compiler)
 gcc-4.6    - GNU C compiler
 gcc-4.6-base - GCC, the GNU Compiler Collection (base package)
 gcc-4.6-hppa64 - GNU C compiler (cross compiler for hppa64)
 gcc-4.6-locales - GCC, the GNU compiler collection (native language support files)
 gcc-4.6-multilib - GNU C compiler (multilib files)
 gcc-4.6-plugin-dev - Files for GNU GCC plugin development.
 gcc-4.6-soft-float - GCC soft-floating-point gcc libraries (ARM)
 gcc-4.6-source - Source of the GNU Compiler Collection
 gcc-4.6-spu - SPU cross-compiler (preprocessor and C compiler)
 gccgo-4.6  - GNU Go compiler
 gccgo-4.6-multilib - GNU Go compiler (multilib files)
 gfortran-4.6 - GNU Fortran 95 compiler
 gfortran-4.6-multilib - GNU Fortran 95 compiler (multilib files)
 gfortran-4.6-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.6 - GNU Objective-C++ compiler
 gobjc++-4.6-multilib - GNU Objective-C++ compiler (multilib files)
 gobjc-4.6  - GNU Objective-C compiler
 gobjc-4.6-multilib - GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32go0   - Runtime library for GNU Go applications (32bit)
 lib32go0-dbg - Runtime library for GNU Go applications (32 bit debug symbols)
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc3 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc3-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32quadmath0 - GCC Quad-Precision Math Library (32bit)
 lib32quadmath0-dbg - GCC Quad-Precision Math Library (32 bit debug symbols)
 lib32stdc++6 - GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64go0   - Runtime library for GNU Go applications (64bit)
 lib64go0-dbg - Runtime library for GNU Go applications (64bit debug symbols)
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc3 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc3-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64quadmath0 - GCC Quad-Precision Math Library  (64bit)
 lib64quadmath0-dbg - GCC Quad-Precision Math Library  (64bit debug symbols)
 lib64stdc++6 - GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgo0     - Runtime library for GNU Go applications
 libgo0-dbg - Runtime library for GNU Go applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.6-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32go0  - Runtime library for GNU Go applications (n32)
 libn32go0-dbg - Runtime library for GNU Go applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc3 - Runtime library for GNU Objective-C applications (n32)
 libn32objc3-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32quadmath0 - GCC Quad-Precision Math Library (n32)
 libn32quadmath0-dbg - GCC Quad-Precision Math Library (n32 debug symbols)
 libn32stdc++6 - GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libobjc3   - Runtime library for GNU Objective-C applications
 libobjc3-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libquadmath0 - GCC Quad-Precision Math Library
 libquadmath0-dbg - GCC Quad-Precision Math Library (debug symbols)
 libstdc++6 - GNU Standard C++ Library v3
 libstdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.6-dev - GNU Standard C++ Library v3 (development files)
 libstdc++6-4.6-doc - GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.6-pic - GNU Standard C++ Library v3 (shared library subset kit)
Closes: 642128 642144 642313
Changes: 
 gcc-4.6 (4.6.1-16) unstable; urgency=medium
 .
   * Update to SVN 20111019 (r180208) from the gcc-4_6-branch.
     - Fix PR target/49967 (ia64), PR tree-optimization/50189, PR fortran/50273,
       PR tree-optimization/50700, PR c/50565 (closes: #642144),
       PR target/49965 (sparc), PR middle-end/49801, PR c++/49216,
       PR c++/49855, PR c++/49896, PR c++/44473, PR c++/50611, PR fortran/50659,
       PR tree-optimization/50723, PR tree-optimization/50712, PR obj-c++/48275,
       PR c++/50618, PR fortran/47023, PR fortran/50570, PR fortran/50718,
       PR libobjc/49883, PR libobjc/50002, PR target/50350, PR middle-end/50386,
       PR middle-end/50326, PR target/50737, PR c++/50787, PR c++/50531,
       PR fortran/50016, PR target/50737.
 .
   [ Matthias Klose ]
   * Fix libjava installation into /usr/lib/gcc/<triplet>/4.6.
   * Fix powerpc and ppc64 libffi builds (Kyle Moffett).
   * Apply proposed patch for PR target/50350. Closes: #642313.
   * Re-apply the fix for PR tree-optimization/49911 on ia64.
   * Apply proposed patch for PR target/50106 (ARM).
 .
   [Xavier Grave]
   * debian/patches/address-clauses-timed-entry-calls.diff: new; backport
     bug fix about address clauses and timed entry calls.
 .
   [Ludovic Brenta]
   * debian/patches/ada-kfreebsd-gnu.diff: new; provide dummy
     implementations of some optional POSIX Threads functions missing in
     GNU/kFreeBSD. Closes: #642128.
Checksums-Sha1: 
 490036905ef86da26eb4cc5da0d3471e3d387d9c 7279 gcc-4.6_4.6.1-16.dsc
 421eaee1e8510023667f557f955d570c7057d23e 6979644 gcc-4.6_4.6.1-16.diff.gz
 15717fc0b71b3f72b47208182ae30772201377e6 63622758 gcc-4.6-source_4.6.1-16_all.deb
 efe6a9c56263610f3ef4c07186ccb9f3de277e09 3760946 libstdc++6-4.6-doc_4.6.1-16_all.deb
 f781c850507bbbe134043036c9a1e71143f0948b 2628548 gcc-4.6-locales_4.6.1-16_all.deb
 dff444eca1e10ab36a422ec9d8fa9d190c201731 135852 gcc-4.6-base_4.6.1-16_i386.deb
 128289eb11e7b7feb121981d5019a57435d3a923 54242 libgcc1_4.6.1-16_i386.deb
 448c22c103fc0ddb8abab4d28f87917caeadbd6b 99576 libgcc1-dbg_4.6.1-16_i386.deb
 bc411c4a382627d78423a50b1c07436da8bc9014 42692 lib64gcc1_4.6.1-16_i386.deb
 e68f4d0f08353e90121e7b5dd42b319cba7b9dc9 92968 lib64gcc1-dbg_4.6.1-16_i386.deb
 3e44964f7ca2a67c5a1700851a9bae3f54fd0e15 195272 libquadmath0_4.6.1-16_i386.deb
 ca85db53ba50fc34eae1bd7b224fd064b870cff9 170064 libquadmath0-dbg_4.6.1-16_i386.deb
 522ced216e86d274e69c21d13942d212ebb5733a 126012 lib64quadmath0_4.6.1-16_i386.deb
 27fdf58af73b7fb4e05b2b53b3d71636f67b6340 150048 lib64quadmath0-dbg_4.6.1-16_i386.deb
 2a8c234f407c42e6176b10d2b261e02ff2136bdf 27316 libgomp1_4.6.1-16_i386.deb
 067fb89083ec621da4e5787aff0ea7fbacbcf9d8 64674 libgomp1-dbg_4.6.1-16_i386.deb
 657e247690275fa9ced607004818de020a66696f 25658 lib64gomp1_4.6.1-16_i386.deb
 27b59577f42139b16f489d6b5dc4b2339c377867 62762 lib64gomp1-dbg_4.6.1-16_i386.deb
 dfb4ed9bc9b52c1917c2cbc014dd8e4f758463cc 4645564 cpp-4.6_4.6.1-16_i386.deb
 1ce7244532d41a3c6c36467cf5d87671cb2bdfda 63386 fixincludes_4.6.1-16_i386.deb
 03a83da4d21f83997f42c5be9207a83d25c748ed 218376 libmudflap0-4.6-dev_4.6.1-16_i386.deb
 5c4d39ea9fbdc2056f16531a2b9e0c6bca0a04f8 88164 libmudflap0_4.6.1-16_i386.deb
 42eab15f5f3e1a021879e61a70ed5117d5a02bb9 118344 libmudflap0-dbg_4.6.1-16_i386.deb
 2427eaf1812c5fe42f558af21b0648ab56ca06e6 97736 lib64mudflap0_4.6.1-16_i386.deb
 3eeb15b13566086eb019ebfee8429b4b882469d1 133522 lib64mudflap0-dbg_4.6.1-16_i386.deb
 8b70079a6c9dc14f148b237271f057bd6c922b9a 870 gobjc++-4.6-multilib_4.6.1-16_i386.deb
 3606a52df52375be69eee3a264d3e69b5e78db42 4982996 gobjc++-4.6_4.6.1-16_i386.deb
 c7993a43828d75fd2ee8da6e22ee3ec5f9cfda37 215448 gobjc-4.6-multilib_4.6.1-16_i386.deb
 a5b664f0bc87a0fa4eb19421d1198a8a21fa46f3 4836274 gobjc-4.6_4.6.1-16_i386.deb
 06cc1dad78f3e684eea30a44b453d54d4e13a9d3 180456 libobjc3_4.6.1-16_i386.deb
 56b246635575e438225c410ad21b73cc000257d9 336160 libobjc3-dbg_4.6.1-16_i386.deb
 e1eeb766ba5fc41e3a9457e0b65d1f90d4766c2a 184884 lib64objc3_4.6.1-16_i386.deb
 433e2600ac5190e7df53d388e3f0141f47987115 363020 lib64objc3-dbg_4.6.1-16_i386.deb
 e0ed762832e5fa2791f630b5ea99826e52b3b326 2107068 libgo0_4.6.1-16_i386.deb
 d7abe91a24662983691c7399b5f9e3f5eecf72b2 1583050 libgo0-dbg_4.6.1-16_i386.deb
 80ba317c8f31f7f54aeee01df808612c8f16eb65 2308688 lib64go0_4.6.1-16_i386.deb
 3d15424ec1952e08e97e947a7d7fd4b2ff13d8cd 2047556 lib64go0-dbg_4.6.1-16_i386.deb
 d50498201afaf8ae07c52b15656b071a3a7c54f1 7800138 gccgo-4.6_4.6.1-16_i386.deb
 7c2af9619c120d79b8c7693d9cfadda84d661ae4 3002184 gccgo-4.6-multilib_4.6.1-16_i386.deb
 f3638adcff9a987b763f6e1d8f1581cc41ec945b 1036062 g++-4.6-multilib_4.6.1-16_i386.deb
 0a8e543abab7aa6634a98e7abbd4e653d0de001f 6772332 g++-4.6_4.6.1-16_i386.deb
 9d4f02f0f6b5234fc6f5d4ef239a20abec019290 343506 libstdc++6_4.6.1-16_i386.deb
 5f68582428086dba59c5b0cf98e4eb78457d8045 330444 lib64stdc++6_4.6.1-16_i386.deb
 8c5504c69b1449a28acb5ea6ff9631a5478823de 6974676 lib64stdc++6-4.6-dbg_4.6.1-16_i386.deb
 d95d0a52c95d374fa679197e4ebcccfa17e90c8c 1643230 libstdc++6-4.6-dev_4.6.1-16_i386.deb
 c45153e78d029885d8c1923d3fdd14e432f732fb 499648 libstdc++6-4.6-pic_4.6.1-16_i386.deb
 dea34c22b2d8b2cafe2e150df279411e27d0503b 4122220 libstdc++6-4.6-dbg_4.6.1-16_i386.deb
 d885f8b16046623311c2dd7dbd117b3e6a1ae272 355122 libgfortran3_4.6.1-16_i386.deb
 edf461a5b89dd65f956e48d15c254e0782135086 643212 libgfortran3-dbg_4.6.1-16_i386.deb
 7ef981a7c9803b06d1fdadcebd73309cbaaa9156 358414 lib64gfortran3_4.6.1-16_i386.deb
 97226e4114ad53e1bc3d94982eb37c099dfe7db5 808144 lib64gfortran3-dbg_4.6.1-16_i386.deb
 65f21f2b413e00d08db5c5d64c92e8a4c806aba6 432100 gfortran-4.6-multilib_4.6.1-16_i386.deb
 3376e9ccd397cce9d698f668377c2754edee9a3b 5351758 gfortran-4.6_4.6.1-16_i386.deb
 e077cb078bbc86b79374f2b34db734bfe246825b 2358150 gcc-4.6-multilib_4.6.1-16_i386.deb
 1114b99e4b8606121144cf3314851136ded98d55 835750 gcc-4.6-plugin-dev_4.6.1-16_i386.deb
 3b84c7f66a574f531b342c7614d1de8612274af5 7316724 gcc-4.6_4.6.1-16_i386.deb
Checksums-Sha256: 
 eb027e6d87f2fb01e4578df98d0a156e0c18a8cc72bab0a6f5f13fa287a0e2df 7279 gcc-4.6_4.6.1-16.dsc
 937a9631d0d1a8a68f2108a35d945b3193c104fcd2a4afa7f2ecc4f7989f3a76 6979644 gcc-4.6_4.6.1-16.diff.gz
 cf6e8fc7bd8f9bfcabfebb20381dc4d3ec9f3af1f747ae00f6acfc5dc99a7689 63622758 gcc-4.6-source_4.6.1-16_all.deb
 9c0705892aeeae5bd76ff58b6b2f3e5aa9d0b5157c9c4f46bd831df9d2ec8e5f 3760946 libstdc++6-4.6-doc_4.6.1-16_all.deb
 626ff64568e6c4735646a85731934a42345c8e369e21604010e297fc96190f83 2628548 gcc-4.6-locales_4.6.1-16_all.deb
 077ab4ee91def2d6c10dc03419db396de2ae395e43e72f9e85e329cda151fdcd 135852 gcc-4.6-base_4.6.1-16_i386.deb
 c62a28e7d8fe739736d6734cfe93da87e930a44f832cbbd249d52882de241467 54242 libgcc1_4.6.1-16_i386.deb
 8bd199d90bccb9118a784424acfc9a870c8b5edcabf718f06be8cbf16c767696 99576 libgcc1-dbg_4.6.1-16_i386.deb
 441f42ad8a7fb45682422216ba59916a9f2a78500718fb2b07cea8e20353cf33 42692 lib64gcc1_4.6.1-16_i386.deb
 bd504a5c76fc22c998f08162f78bee81b1bb222d1f20855f50505eaa61703ac5 92968 lib64gcc1-dbg_4.6.1-16_i386.deb
 4ed72bef11c5638489a559d39c6733f482523b6338e4e1a62fcf510fff53d629 195272 libquadmath0_4.6.1-16_i386.deb
 2b5eb542ed7ca43eaa7a96e9ffb085cdbaba24619203bdc41b01bac1604b74dc 170064 libquadmath0-dbg_4.6.1-16_i386.deb
 783ece2caa532fd4bebba36d4a2d419e867129feb0308fe67d3dd9e733004ea1 126012 lib64quadmath0_4.6.1-16_i386.deb
 bc5d1be1b0d475227714ead30cb49910e261b37ca7b1311d8b915a1ddf381f88 150048 lib64quadmath0-dbg_4.6.1-16_i386.deb
 02efc79a7f185e645cee5a0b4f023c09d6293debd5b9d0266b3dbaf4a8e9455a 27316 libgomp1_4.6.1-16_i386.deb
 d5b7a4ddf5f7fc3a55192b1d9d6bf290efc9ff4df67dfb28cb3ce02053643f8a 64674 libgomp1-dbg_4.6.1-16_i386.deb
 dde41070a81a65e0ecbcf58eccca7482eec88ae603a368480ed0754e8d72439a 25658 lib64gomp1_4.6.1-16_i386.deb
 85dab67cec6faa10a20d3fe0d0b183e24510af8e2aabfb966088368bcb8b0e14 62762 lib64gomp1-dbg_4.6.1-16_i386.deb
 bc7514808801d71eb5b9e7b83bcf7f387010233320efec8ad5d7a352935ff39d 4645564 cpp-4.6_4.6.1-16_i386.deb
 3ee2a950a333c7256aa42392e96c27156e089dad96eda812b2cf9919a268c5ff 63386 fixincludes_4.6.1-16_i386.deb
 84899466df996043265dd00ddc9735a9892c60619ebc5dbb6466f020362d19b2 218376 libmudflap0-4.6-dev_4.6.1-16_i386.deb
 9c68b4f0e4caaafd875332b48a9b11676a1e4549e9447cd4dfb61c84e004dc4f 88164 libmudflap0_4.6.1-16_i386.deb
 dac20f23b2d0014b18aba776d530478119543d34054f53ea392e105bd0b69c1f 118344 libmudflap0-dbg_4.6.1-16_i386.deb
 142d0a2d5daf004fa090b1c61e7783303ece486c5612fa95a0806d50bf32653c 97736 lib64mudflap0_4.6.1-16_i386.deb
 0fdd3bcd7c8b80812a1f17325131e49322ac63bf87cbfc87be6b3ad9f2ae23ad 133522 lib64mudflap0-dbg_4.6.1-16_i386.deb
 85ad6559f79e638739697c84a3a3f9ff921eed4db7fc0a615be73f3a7bf0ebdb 870 gobjc++-4.6-multilib_4.6.1-16_i386.deb
 38bef8421b9d69b43812a9bc8661e54507c228c7ec5a96474fee27f3a6693f31 4982996 gobjc++-4.6_4.6.1-16_i386.deb
 695625edc1af0fb931354a8ab7c59c3fbc000a4c89606cf4f91524210a5a1721 215448 gobjc-4.6-multilib_4.6.1-16_i386.deb
 f69811e9f64375cd305a3226db0b6aacb279065d0ec3d7fb651d328129955794 4836274 gobjc-4.6_4.6.1-16_i386.deb
 059de0d4da6cec8e2ad58cee0d768d359659c39631e54d9f58c8f06f279381cb 180456 libobjc3_4.6.1-16_i386.deb
 ac77be367cd3bd3f67d6ea4e7d98cd40fba7ece132926b1961c3c3fb6afea077 336160 libobjc3-dbg_4.6.1-16_i386.deb
 4a4a147da0fa9e29243813f7537f90b700007da45a9a8af2c1d97735a871e980 184884 lib64objc3_4.6.1-16_i386.deb
 83d66f73e48fcc98f339cfcf376483797811d9ee83c981d453cd63af1ae9de45 363020 lib64objc3-dbg_4.6.1-16_i386.deb
 81501edfd44a6c0948310c218c3e95d8319b25aa8e24a2c19d6e7bc1a0fbd5ac 2107068 libgo0_4.6.1-16_i386.deb
 64cb66cb426f6cf853b628f5de78002eba7f19391c3cb4cbc181c66e91d93fa8 1583050 libgo0-dbg_4.6.1-16_i386.deb
 0c626a40f9c86664686c32d4539da63aed2732c11e63136ef434e36f361d2550 2308688 lib64go0_4.6.1-16_i386.deb
 7a01a0501f72e93e3a0ecfe2e08b7b22ac0f649ac7072bb49099b90ed051993f 2047556 lib64go0-dbg_4.6.1-16_i386.deb
 35bc478bf609204b38dfa04fdccf5af22809dc13e790d2b8a020a0435cd737b8 7800138 gccgo-4.6_4.6.1-16_i386.deb
 09d513c0a30cf9057f35fd06c9ea89349913409aed0b8eca824a07d3b950dc03 3002184 gccgo-4.6-multilib_4.6.1-16_i386.deb
 5a3dbc70b96d2dbe4903f3b69d0a47bda99a9bb3b17b226a17cd15d92fc2866e 1036062 g++-4.6-multilib_4.6.1-16_i386.deb
 39efa8b6fad4274a8d77009c1f0cc760366b6f6131a58f1c2a36bb21809431d8 6772332 g++-4.6_4.6.1-16_i386.deb
 722e33774b62ac3901f668566ef2fff5d529205f0dba159bee75954151c8c74e 343506 libstdc++6_4.6.1-16_i386.deb
 c63bea112cfefda9c95e28b60ea0c99a4f6daf66f516c96db7ba33c80895083b 330444 lib64stdc++6_4.6.1-16_i386.deb
 46fc0923b34af8e49971acfd8bd713dd1b0e3e6807d715a2fda139d10714f98f 6974676 lib64stdc++6-4.6-dbg_4.6.1-16_i386.deb
 282356ec7687e835a92a75f50a3a561abd7b3670bfbb0e2f3f3397805bc6a6ac 1643230 libstdc++6-4.6-dev_4.6.1-16_i386.deb
 266f0af7a6f6ebbc521f788ae49d77fce9659f3f88cd72d3f0a6f3d375f24501 499648 libstdc++6-4.6-pic_4.6.1-16_i386.deb
 a6431f3495fef2c6e6a13cd57b5de01fd9938f0e9dd8c7d97d2ead7cd8297813 4122220 libstdc++6-4.6-dbg_4.6.1-16_i386.deb
 06f7f9c1a9e5ae3d0e2b97f843be276971a08329503e400a094582be4b611308 355122 libgfortran3_4.6.1-16_i386.deb
 fb92bc4105e35280a44be84258c4de4ad327c3fdba3c494d300c9656fd39b950 643212 libgfortran3-dbg_4.6.1-16_i386.deb
 4ec1402704da4b2419a09519015ccc49022a9b0dd4751c7b6cefd3b9c7e480bd 358414 lib64gfortran3_4.6.1-16_i386.deb
 5d56178ab9e1fe245b2637b3ab39c533ab9b96be5d839643526361e7d0366cf9 808144 lib64gfortran3-dbg_4.6.1-16_i386.deb
 bfa60a10b53b7b62e85bfe386089a70651a4e2947ea3616704a9ce1e4b3a9a88 432100 gfortran-4.6-multilib_4.6.1-16_i386.deb
 6e7e04f79d31483f0826dd7e21c1c3c51ded8fd4f6d2436d7a3b77a155c16a71 5351758 gfortran-4.6_4.6.1-16_i386.deb
 ec9ce6552a0de8620fbffcdb72633b813c122b82834e668bba0863fc0f000c6b 2358150 gcc-4.6-multilib_4.6.1-16_i386.deb
 f37e31c2083d85aeea9ea52455c5b2a3c1c0ef99704fc70a3a951230cbe6b0d2 835750 gcc-4.6-plugin-dev_4.6.1-16_i386.deb
 810695d9739bc5c34706ae133f93c0dfdd2c65407ffa3ddbd72e2a60784e7348 7316724 gcc-4.6_4.6.1-16_i386.deb
Files: 
 4a3f28d5abdb7a63da52fb0f1dbc21bf 7279 devel optional gcc-4.6_4.6.1-16.dsc
 e474516175efbc67e3f025e7b390afd5 6979644 devel optional gcc-4.6_4.6.1-16.diff.gz
 f464872a9ad3af3ac3d3cd1bd4e067eb 63622758 devel optional gcc-4.6-source_4.6.1-16_all.deb
 c66d5edffca3ba5929169e84cebfaeca 3760946 doc optional libstdc++6-4.6-doc_4.6.1-16_all.deb
 3b32706b40eda95749f10f67183a6e58 2628548 devel optional gcc-4.6-locales_4.6.1-16_all.deb
 003369436d18f00e1c2a6a4edcaf2cdd 135852 libs required gcc-4.6-base_4.6.1-16_i386.deb
 6225e7c890612d96f878fa8685c8f7e0 54242 libs required libgcc1_4.6.1-16_i386.deb
 a87eef6c9253484be9645027ea4b07a5 99576 debug extra libgcc1-dbg_4.6.1-16_i386.deb
 d48f77f62a7c251384b905efa9680924 42692 libs optional lib64gcc1_4.6.1-16_i386.deb
 5afd8560767528605ffeb38746779293 92968 debug extra lib64gcc1-dbg_4.6.1-16_i386.deb
 bc5abdbf5b29e38d0275703b8869235b 195272 libs optional libquadmath0_4.6.1-16_i386.deb
 96c2a818bfd5f1b50ce7a8959a1beb6d 170064 debug extra libquadmath0-dbg_4.6.1-16_i386.deb
 d366cd5debc563c57a4c8ade8537c0f7 126012 libs optional lib64quadmath0_4.6.1-16_i386.deb
 b9693bedf00b9ca2c6a75f8fed66c747 150048 debug extra lib64quadmath0-dbg_4.6.1-16_i386.deb
 3e35c186a9d4d4a51eb9708825e8fed1 27316 libs optional libgomp1_4.6.1-16_i386.deb
 b0cbd820c7d63e4a156cad52d3a4a988 64674 debug extra libgomp1-dbg_4.6.1-16_i386.deb
 0c98d32253e57881b51b2fea28977ed7 25658 libs optional lib64gomp1_4.6.1-16_i386.deb
 c7e488640b420906bb1df21546dda9ce 62762 debug extra lib64gomp1-dbg_4.6.1-16_i386.deb
 9aeaf76a222d256d1f8edf8bd26e0369 4645564 interpreters optional cpp-4.6_4.6.1-16_i386.deb
 e11bfa5a3c3d4af0d15c66765dd8c4df 63386 devel optional fixincludes_4.6.1-16_i386.deb
 0d002a64344286c4550ab65e51beda2b 218376 libdevel optional libmudflap0-4.6-dev_4.6.1-16_i386.deb
 dc46df3c431ef73025b0726c0a635cb1 88164 libs optional libmudflap0_4.6.1-16_i386.deb
 523eb7b7e74ad05f8dd0d92d736c452d 118344 debug extra libmudflap0-dbg_4.6.1-16_i386.deb
 d52e4d7f0d90fe8e89180fd4f2f950e3 97736 libs optional lib64mudflap0_4.6.1-16_i386.deb
 e48a0d98307bd4124fadfb3e84b12305 133522 debug extra lib64mudflap0-dbg_4.6.1-16_i386.deb
 75561a198bb43ed477c06095c6e5c161 870 devel optional gobjc++-4.6-multilib_4.6.1-16_i386.deb
 e39f9af81c4141faaf4324044ed4ffe2 4982996 devel optional gobjc++-4.6_4.6.1-16_i386.deb
 1abb261b58f2a3ce30282cb5771fa5f6 215448 devel optional gobjc-4.6-multilib_4.6.1-16_i386.deb
 57ea087caac87e4293458a60c677718c 4836274 devel optional gobjc-4.6_4.6.1-16_i386.deb
 1ed946559f66ab6f09f8defc6b8a7e2d 180456 libs optional libobjc3_4.6.1-16_i386.deb
 2eb33e1761624ce79ad562b47a4cfdac 336160 debug extra libobjc3-dbg_4.6.1-16_i386.deb
 8057447005d6f370604f02e185844a25 184884 libs optional lib64objc3_4.6.1-16_i386.deb
 74d031d57dcc95d86b5ffccc9748b42e 363020 debug extra lib64objc3-dbg_4.6.1-16_i386.deb
 2fd60c9121456059ff81cbe87593622f 2107068 libs optional libgo0_4.6.1-16_i386.deb
 d4bef2c7352eb20dff53033b5bf1f542 1583050 debug extra libgo0-dbg_4.6.1-16_i386.deb
 0bde42786d2bee9806fb3b0c865f85c6 2308688 libs optional lib64go0_4.6.1-16_i386.deb
 c669f500735841f07267a25543caa85a 2047556 debug extra lib64go0-dbg_4.6.1-16_i386.deb
 7b6d9684757e1a363030c0209e109c57 7800138 devel optional gccgo-4.6_4.6.1-16_i386.deb
 ae60d73d436b8927b4d8e92a5fba80e2 3002184 devel optional gccgo-4.6-multilib_4.6.1-16_i386.deb
 8b00e8e962cc5630d3764280fdd118c0 1036062 devel optional g++-4.6-multilib_4.6.1-16_i386.deb
 d484ff72e400032004c7bd5b18285259 6772332 devel optional g++-4.6_4.6.1-16_i386.deb
 a3fe8053cf770d6c0d73a88a611cec2a 343506 libs required libstdc++6_4.6.1-16_i386.deb
 9d491c2798d156876ba36d9c6661f1dd 330444 libs optional lib64stdc++6_4.6.1-16_i386.deb
 cf6f5cd7607978cf70b23d81de285121 6974676 debug extra lib64stdc++6-4.6-dbg_4.6.1-16_i386.deb
 2870c8a4c0cd30c1aa25611944a01d52 1643230 libdevel optional libstdc++6-4.6-dev_4.6.1-16_i386.deb
 cb7d1ef91d9b1b8ec4175ad7cfac6427 499648 libdevel extra libstdc++6-4.6-pic_4.6.1-16_i386.deb
 de41acac1f0e6a5f956f9d85a37352d4 4122220 debug extra libstdc++6-4.6-dbg_4.6.1-16_i386.deb
 76227d39bfe21db2a33140e0e1f31662 355122 libs optional libgfortran3_4.6.1-16_i386.deb
 701e7c789c8ef6e911e00bad0daf2b14 643212 debug extra libgfortran3-dbg_4.6.1-16_i386.deb
 d0bed8c6c3ff5552cff36e02396caaa1 358414 libs optional lib64gfortran3_4.6.1-16_i386.deb
 f2eda4f413632e9a31ca80248bfaea3e 808144 debug extra lib64gfortran3-dbg_4.6.1-16_i386.deb
 94c1041c4e35d6c4c8fadc65648e71a7 432100 devel optional gfortran-4.6-multilib_4.6.1-16_i386.deb
 072dd8048803c0a1410584d2fac6220a 5351758 devel optional gfortran-4.6_4.6.1-16_i386.deb
 0a0c93be689fc1af912a462f0b0e7217 2358150 devel optional gcc-4.6-multilib_4.6.1-16_i386.deb
 391ec0af012799a6a60eb7bbcb94d464 835750 devel optional gcc-4.6-plugin-dev_4.6.1-16_i386.deb
 60ba0f48d0928b969c17290fc7a523cd 7316724 devel optional gcc-4.6_4.6.1-16_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6f0TMACgkQStlRaw+TLJxeJACgiI0miZrgR+AU/iaIGzPElNMY
32IAoMYPV/sjeJP1ELjErQzdXgEOVOJu
=vr4G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Nov 2011 07:35:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:01:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.